[Overview][Procedures and functions][Index] | Reference for unit 'x86' (#rtl)

# WritePortl

Write longint to PC port.

## Declaration

Source position: x86.pp line 38

`procedure WritePortL(`
`Port: LongInt;`
`Value: LongInt`
`); procedure WritePortl(`
`Port: LongInt;`
`var Buf;`
`Count: LongInt`
`);`

## Description

The first form of WritePortB writes 1 byte to port Port. The second form writes Count bytes from Buf to port Port.

Remark: | You need permission to write to a port. This permission can be set with root permission with the FpIOPerm call.

## Errors

In case of an error (not enough permissions to write to this port), runtime 216 ( Access Violation) will occur.

## See also

FpIOPerm |  | Set permission on IO ports
WritePort |  | Write data to PC port
WritePortB |  | Write byte to PC port
WritePortW |  | Write Word to PC port
ReadPortB |  | Read bytes from a PC port
ReadPortL |  | Read longints from a PC port
ReadPortW |  | Read Words from a PC port